import { RpcTransport } from '../../../repository/source/rpc/RpcTransport';
import { KeyPair } from '../KeyPair';
import { AccessRight } from '../Permissions';
import { RemoteKeyPairHelper } from '../RemoteKeyPairHelper';
export declare class RpcKeyPair implements RemoteKeyPairHelper {
    private rpcTransport;
    private clientData;
    private accessToken;
    constructor(rpcTransport: RpcTransport);
    createKeyPair(passPhrase: string): Promise<KeyPair>;
    generateMnemonicPhrase(): Promise<string>;
    signMessage(data: string): Promise<string>;
    checkSig(data: string, sig: string): Promise<boolean>;
    getPublicKey(): string;
    encryptMessage(recipientPk: string, message: string): Promise<string>;
    encryptFields(fields: Map<string, string>): Promise<Map<string, string>>;
    encryptPermissionsFields(recipient: string, data: Map<string, AccessRight>): Promise<string>;
    decryptMessage(senderPk: string, encrypted: string): Promise<string>;
    decryptFields(fields: Map<string, string>, passwords?: Map<string, string>): Promise<Map<string, string>>;
    encryptFile(file: string, fieldName: string): Promise<string>;
    decryptFile(file: string, fieldName: string, password?: string): Promise<string>;
    setAccessToken(accessToken: string): void;
    getAccessToken(): string;
}
